.\"#############################################################################
.\"$Id: libipmiconsole.3.pre.in,v 1.13 2010-02-08 22:02:30 chu11 Exp $
.\"#############################################################################
.\"  Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.\"  Copyright (C) 2006-2007 The Regents of the University of California.
.\"  Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER).
.\"  Written by Albert Chu <chu11@llnl.gov>
.\"  UCRL-CODE-221226
.\"  
.\"  This file is part of Ipmiconsole, a set of IPMI 2.0 SOL librarie
.\"  and utilities.  For details, see http://www.llnl.gov/linux/.
.\"
.\"  Ipmiconsole is free software; you can redistribute it and/or modify it under
.\"  the terms of the GNU General Public License as published by the Free
.\"  Software Foundation; either version 3 of the License, or (at your option)
.\"  any later version.
.\"  
.\"  Ipmiconsole is distributed in the hope that it will be useful, but WITHOUT 
.\"  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
.\"  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
.\"  for more details.
.\"  
.\"  You should have received a copy of the GNU General Public License along
.\"  with Ipmiconsole.  If not, see <http://www.gnu.org/licenses/>.
.\"############################################################################
.TH libipmiconsole 3 "2012-06-28" "libipmiconsole 1.1.6" "System Commands"
.SH "NAME"
libipmiconsole \- IPMI SOL library
.SH "SYNOPSIS"
.B #include <ipmiconsole.h>
.sp
.BI "int ipmiconsole_engine_init(unsigned int thread_count, unsigned int debug_flags);"
.sp
.BI "int ipmiconsole_engine_submit(ipmiconsole_ctx_t c, Ipmiconsole_callback callback, void *callback_arg);"
.sp
.BI "int ipmiconsole_engine_submit_block(ipmiconsole_ctx_t c);"
.sp
.BI "void ipmiconsole_engine_teardown(int cleanup_sol_sessions);"
.sp
.BI "ipmiconsole_ctx_t ipmiconsole_ctx_create(char *hostname, struct ipmiconsole_ipmi_config *ipmi_config, struct ipmiconsole_protocol_config *protocol_config);"
.sp
.BI "int ipmiconsole_ctx_errnum(ipmiconsole_ctx_t c);"
.sp
.BI "char *ipmiconsole_ctx_strerror(int errnum);"
.sp
.BI "ipmiconsole_ctx_status_t ipmiconsole_ctx_status(ipmiconsole_ctx_t c);"
.sp
.BI "int ipmiconsole_ctx_fd(ipmiconsole_ctx_t c);"
.sp
.BI "int ipmiconsole_ctx_generate_break(ipmiconsole_ctx_t c);"
.sp
.BI "int ipmiconsole_ctx_destroy(ipmiconsole_ctx_t c);"
.sp
.br
.SH "DESCRIPTION"
.B Libipmiconsole
implements a high level serial-over-lan (SOL) API for remote console
access. It can be used to establish and manage multiple IPMI 2.0 SOL
sessions. The goal of this library is to abstract away all of the
underlying IPMI/SOL details away from the user into a relatively
simple file descriptor interface.


.SH "FILES"
/usr/include/ipmiconsole.h
.SH "REPORTING BUGS"
Report bugs to <freeipmi\-users@gnu.org> or <freeipmi\-devel@gnu.org>.
.SH COPYRIGHT
Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.br
Copyright (C) 2006-2007 The Regents of the University of California.
.PP
This library is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or (at
your option) any later version.
.SH "SEE ALSO"
ipmiconsole(8)
.PP
http://www.gnu.org/software/freeipmi/
